## visad.data.dods
Class Float64AttributeAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.AttributeAdapter
              visad.data.dods.NumericAttributeAdapter
                  visad.data.dods.Float64AttributeAdapter

public class Float64AttributeAdapter
extends NumericAttributeAdapter

Provides support for adapting a DODS `Attribute.FLOAT64` attribute to the VisAD data-import context.

Instances are immutable.

Constructor Summary
`protected` `Float64AttributeAdapter(String name, Attribute attr)` Constructs from a name and an appropriate attribute.

Method Summary
`protected double` `doubleValue(String spec)` Returns the numeric value corresponding to a floating-point string specification.
`protected Number` `number(String spec)` Returns the numeric value corresponding to a floating-point string specification.
`protected Set` `visadSet(List list)` Returns the VisAD `Set` corresponding to the metadata of the attribute used in constructing this instance and a list of numeric values.

Methods inherited from class visad.data.dods.NumericAttributeAdapter
`data, getAttributeName, getRealType`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Float64AttributeAdapter

    protected Float64AttributeAdapter(String name,
                                      Attribute attr)
                               throws VisADException

  Constructs from a name and an appropriate attribute.

Parameters:
  `name` - The name of the attribute.
  `attr` - The attribute. Must have the appropriate type.
Throws:
  `VisADException` - VisAD failure. Probably the attribute has an inappropriate type.

Method Detail

### number

    protected Number number(String spec)

  Returns the numeric value corresponding to a floating-point string specification.

  Specified by:
    `number` in class `NumericAttributeAdapter`
  Parameters:
    `spec` - A floating-point string specification.
  Returns:
    The numeric value corresponding to the string specification.

### doubleValue

    protected double doubleValue(String spec)

  Returns the numeric value corresponding to a floating-point string specification.

  Parameters:
    `spec` - A floating-point string specification.
  Returns:
    The numeric value corresponding to the string specification.

### visadSet

    protected Set visadSet(List list)
                    throws VisADException

  Returns the VisAD `Set` corresponding to the metadata of the attribute used in constructing this instance and a list of numeric values.

  Specified by:
    `visadSet` in class `NumericAttributeAdapter`
  Parameters:
    `list` - A list of numeric values. Each element must be of class `Double`.
  Returns:
    A VisAD set corresponding to the input. The class of the set is either `Gridded1DDoubleSet` or `List1DDoubleSet` -- depending on whether or not the list is sorted.
  Throws:
    `VisADException` - VisAD failure.